Loading...
Searching...
No Matches
RDKit::CIPLabeler::Rules Class Reference

`#include <Rules.h>`

Inheritance diagram for RDKit::CIPLabeler::Rules:

## Public Member Functions

| Rules ()=delete
| Rules (std::initializer_list< SequenceRule * > rules)
| ~Rules () override
void | add (SequenceRule *rule)
int | getNumSubRules () const
const Sort * | getSorter () const override
int | compare (const Edge *o1, const Edge *o2) const override
int | getComparision (const Edge *a, const Edge *b, bool deep) const override
Public Member Functions inherited from RDKit::CIPLabeler::SequenceRule
| SequenceRule ()
virtual | ~SequenceRule ()
Descriptor | getBondLabel (const Edge *edge) const
int | getComparision (const Edge *a, const Edge *b) const
int | recursiveCompare (const Edge *a, const Edge *b) const
void | setSorter (const Sort *sorter)
Priority | sort (const Node *node, std::vector< Edge * > &edges, bool deep) const
Priority | sort (const Node *node, std::vector< Edge * > &edges) const

## Additional Inherited Members

Protected Attributes inherited from RDKit::CIPLabeler::SequenceRule
std::unique_ptr< const Sort > | dp_sorter = nullptr

## Detailed Description

Definition at line 22 of file Rules.h.

## Constructor & Destructor Documentation

## Rules() [1/2]

RDKit::CIPLabeler::Rules::Rules | ( |  | ) |

delete

Referenced by getSorter().

## Rules() [2/2]

RDKit::CIPLabeler::Rules::Rules | ( | std::initializer_list< SequenceRule * > | rules | ) |

inline

Definition at line 26 of file Rules.h.

References add().

## ~Rules()

RDKit::CIPLabeler::Rules::~Rules | ( |  | ) |

inline override

Definition at line 32 of file Rules.h.

## Member Function Documentation

## add()

void RDKit::CIPLabeler::Rules::add | ( | SequenceRule * | rule | ) |

inline

Definition at line 38 of file Rules.h.

References RDKit::CIPLabeler::SequenceRule::SequenceRule(), and RDKit::CIPLabeler::SequenceRule::setSorter().

Referenced by Rules().

## compare()

int RDKit::CIPLabeler::Rules::compare | ( | const Edge * | o1,
|  | const Edge * | o2 ) const

inline override virtual

Implements RDKit::CIPLabeler::SequenceRule.

Definition at line 55 of file Rules.h.

## getComparision()

int RDKit::CIPLabeler::Rules::getComparision | ( | const Edge * | a,
|  | const Edge * | b,
|  | bool | deep ) const

inline override virtual

Reimplemented from RDKit::CIPLabeler::SequenceRule.

Definition at line 68 of file Rules.h.

## getNumSubRules()

int RDKit::CIPLabeler::Rules::getNumSubRules | ( |  | ) | const

inline

Definition at line 46 of file Rules.h.

## getSorter()

const Sort * RDKit::CIPLabeler::Rules::getSorter | ( |  | ) | const

inline override virtual

Reimplemented from RDKit::CIPLabeler::SequenceRule.

Definition at line 48 of file Rules.h.

References RDKit::CIPLabeler::SequenceRule::dp_sorter, Rules(), and RDKit::CIPLabeler::SequenceRule::setSorter().

The documentation for this class was generated from the following file:

- Rules.h